Jump to content

Photo

Problem running game on Linux


This topic has been archived. This means that you cannot reply to this topic.
2 replies to this topic

#1 UnclePa

UnclePa

    New Member

  • New Members
  • Pip
  • 1 posts

Posted 29 March 2018 - 22:43

I tried running the Linux client but get a an error with the jogl library.  "javax.media.opengl.GLException: X11GLXDrawableFactory - Could not initialize shared resources for :0.0"  I then tried running the browser version but, of course, Java is no longer supported by most modern browsers.  So, I installed the Pale Moon browser, but it complains that your site certificate is out of date.  Fixing the last one would be the easiest for me, of course. :)



#2 livingtarget

livingtarget

    Senior Programmer

  • Moderators
  • PipPipPip
  • 707 posts
  • Badge

Posted 12 April 2018 - 14:13

Generally this message occurs can occur because of the video driver installed. I think upgrading to the latest proprietary drivers could do the trick according to some online research. If that doesn't work it's likely a problem with jogl itself. Unfortunately we have no plans to update the library.



#3 Auron FFX

Auron FFX

    Member

  • Members
  • PipPip
  • 132 posts

Posted 13 April 2018 - 06:39

the other thing to do is make sure you have https://www.eldevin.comwhitelisted in java's settings or java will not let it run with an outdated certificate. have you tried running the client rather than the site it's self?


May the odds be ever in your favor

hWtBGE5.gif
My wiki user page



Font:
Arial | Calibri | Lucida Console | Verdana
 
Font Size:
9px | 10px | 11px | 12px | 10pt | 12pt
 
Color: